/*
 * file CcSymlink.java
 *
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM 
 * com.ibm.rational.wvcm.stp.cc.CcSymlink
 *
 * (C) Copyright IBM Corporation 2008, 2011.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.rational.wvcm.stp.cc;

import javax.wvcm.ControllableSymbolicLink;

/**
 * A proxy for a ClearCase symbolic link.
 * <p>
 * A VOB symbolic link is a separate, unversioned object. It contains a
 * character string, the link text, in the form of a path name.
 * </p>
 * <p>
 * Symbolic links are handled differently in web views vs. dynamic views.
 * In web views, CM API operations typically resolve a symbolic links to their
 * target files or directories.  Therefore, in web views proxies of this kind
 * will only be created when such a target is unreachable.  In dynamic views,
 * symbolic links are typically not resolved, and so will be seen in the CM API
 * as CcSymlink resource proxies.
 * </p>
 */
public interface CcSymlink extends CcFile, ControllableSymbolicLink {
}
